org.eclipse.emf.cdo.security.provider

## Class SecurityItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.emf.cdo.security.util.SecurityAdapterFactory
    - - org.eclipse.emf.cdo.security.provider.SecurityItemProviderAdapterFactory

- All Implemented Interfaces:
    AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IChildCreationExtender, IDisposable

      public class SecurityItemProviderAdapterFactory
      extends SecurityAdapterFactory
      implements ComposeableAdapterFactory, IChangeNotifier, IDisposable, IChildCreationExtender

  This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender

      `IChildCreationExtender.Descriptor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AndFilterItemProvider` | `andFilterItemProvider` This keeps track of the one adapter used for all `AndFilter` instances.
    `protected IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`.
    `protected ChildCreationExtenderManager` | `childCreationExtenderManager` This helps manage the child creation extenders.
    `protected ClassFilterItemProvider` | `classFilterItemProvider` This keeps track of the one adapter used for all `ClassFilter` instances.
    `protected ClassPermissionItemProvider` | `classPermissionItemProvider` Deprecated.
    `protected DirectoryItemProvider` | `directoryItemProvider` This keeps track of the one adapter used for all `Directory` instances.
    `protected ExpressionFilterItemProvider` | `expressionFilterItemProvider` This keeps track of the one adapter used for all `ExpressionFilter` instances.
    `protected FilterPermissionItemProvider` | `filterPermissionItemProvider` This keeps track of the one adapter used for all `FilterPermission` instances.
    `protected GroupItemProvider` | `groupItemProvider` This keeps track of the one adapter used for all `Group` instances.
    `protected LinkedFilterItemProvider` | `linkedFilterItemProvider` This keeps track of the one adapter used for all `LinkedFilter` instances.
    `protected NotFilterItemProvider` | `notFilterItemProvider` This keeps track of the one adapter used for all `NotFilter` instances.
    `protected OrFilterItemProvider` | `orFilterItemProvider` This keeps track of the one adapter used for all `OrFilter` instances.
    `protected PackageFilterItemProvider` | `packageFilterItemProvider` This keeps track of the one adapter used for all `PackageFilter` instances.
    `protected PackagePermissionItemProvider` | `packagePermissionItemProvider` Deprecated.
    `protected ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
    `protected RealmItemProvider` | `realmItemProvider` This keeps track of the one adapter used for all `Realm` instances.
    `protected ResourceFilterItemProvider` | `resourceFilterItemProvider` This keeps track of the one adapter used for all `ResourceFilter` instances.
    `protected ResourcePermissionItemProvider` | `resourcePermissionItemProvider` Deprecated.
    `protected RoleItemProvider` | `roleItemProvider` This keeps track of the one adapter used for all `Role` instances.
    `protected java.util.Collection<java.lang.Object>` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.
    `protected UserItemProvider` | `userItemProvider` This keeps track of the one adapter used for all `User` instances.
    `protected UserPasswordItemProvider` | `userPasswordItemProvider` This keeps track of the one adapter used for all `UserPassword` instances.

    - ### Fields inherited from class org.eclipse.emf.cdo.security.util.SecurityAdapterFactory

      `modelPackage, modelSwitch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityItemProviderAdapterFactory()` This constructs an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adapter` | `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
    `java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
    `void` | `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener.
    `Adapter` | `createAndFilterAdapter()` This creates an adapter for a `AndFilter`.
    `Adapter` | `createClassFilterAdapter()` This creates an adapter for a `ClassFilter`.
    `Adapter` | `createClassPermissionAdapter()` Deprecated.
    `Adapter` | `createDirectoryAdapter()` This creates an adapter for a `Directory`.
    `Adapter` | `createExpressionFilterAdapter()` This creates an adapter for a `ExpressionFilter`.
    `Adapter` | `createFilterPermissionAdapter()` This creates an adapter for a `FilterPermission`.
    `Adapter` | `createGroupAdapter()` This creates an adapter for a `Group`.
    `Adapter` | `createLinkedFilterAdapter()` This creates an adapter for a `LinkedFilter`.
    `Adapter` | `createNotFilterAdapter()` This creates an adapter for a `NotFilter`.
    `Adapter` | `createOrFilterAdapter()` This creates an adapter for a `OrFilter`.
    `Adapter` | `createPackageFilterAdapter()` This creates an adapter for a `PackageFilter`.
    `Adapter` | `createPackagePermissionAdapter()` Deprecated.
    `Adapter` | `createRealmAdapter()` This creates an adapter for a `Realm`.
    `Adapter` | `createResourceFilterAdapter()` This creates an adapter for a `ResourceFilter`.
    `Adapter` | `createResourcePermissionAdapter()` Deprecated.
    `Adapter` | `createRoleAdapter()` This creates an adapter for a `Role`.
    `Adapter` | `createUserAdapter()` This creates an adapter for a `User`.
    `Adapter` | `createUserPasswordAdapter()` This creates an adapter for a `UserPassword`.
    `void` | `dispose()` This disposes all of the item providers created by this factory.
    `void` | `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
    `java.util.List<IChildCreationExtender>` | `getChildCreationExtenders()`
    `java.util.Collection<?>` | `getNewChildDescriptors(java.lang.Object object, EditingDomain editingDomain)`
    `ResourceLocator` | `getResourceLocator()`
    `ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
    `boolean` | `isFactoryForType(java.lang.Object type)`
    `void` | `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
    `void` | `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

    - ### Methods inherited from class org.eclipse.emf.cdo.security.util.SecurityAdapterFactory

      `createAdapter, createAssigneeAdapter, createCombinedFilterAdapter, createEObjectAdapter, createModelElementAdapter, createObjectFilterAdapter, createObjectPermissionAdapter, createPermissionAdapter, createPermissionFilterAdapter, createSecurityElementAdapter, createSecurityItemAdapter`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

      `adaptAllNew, adaptNew`

- - ### Field Detail

    - #### parentAdapterFactory

          protected ComposedAdapterFactory parentAdapterFactory

      This keeps track of the root adapter factory that delegates to this adapter factory.
      Generated

    - #### changeNotifier

          protected IChangeNotifier changeNotifier

      This is used to implement `IChangeNotifier`.
      Generated

    - #### childCreationExtenderManager

          protected ChildCreationExtenderManager childCreationExtenderManager

      This helps manage the child creation extenders.
      Generated

    - #### supportedTypes

          protected java.util.Collection<java.lang.Object> supportedTypes

      This keeps track of all the supported types checked by `isFactoryForType`.
      Generated

    - #### realmItemProvider

          protected RealmItemProvider realmItemProvider

      This keeps track of the one adapter used for all `Realm` instances.
      Generated

    - #### directoryItemProvider

          protected DirectoryItemProvider directoryItemProvider

      This keeps track of the one adapter used for all `Directory` instances.
      Generated

    - #### roleItemProvider

          protected RoleItemProvider roleItemProvider

      This keeps track of the one adapter used for all `Role` instances.
      Generated

    - #### groupItemProvider

          protected GroupItemProvider groupItemProvider

      This keeps track of the one adapter used for all `Group` instances.
      Generated

    - #### userItemProvider

          protected UserItemProvider userItemProvider

      This keeps track of the one adapter used for all `User` instances.
      Generated

    - #### userPasswordItemProvider

          protected UserPasswordItemProvider userPasswordItemProvider

      This keeps track of the one adapter used for all `UserPassword` instances.
      Generated

    - #### classPermissionItemProvider

          @Deprecated
          protected ClassPermissionItemProvider classPermissionItemProvider

      Deprecated.
      This keeps track of the one adapter used for all `ClassPermission` instances.
      Generated

    - #### packagePermissionItemProvider

          @Deprecated
          protected PackagePermissionItemProvider packagePermissionItemProvider

      Deprecated.
      This keeps track of the one adapter used for all `PackagePermission` instances.
      Generated

    - #### resourcePermissionItemProvider

          @Deprecated
          protected ResourcePermissionItemProvider resourcePermissionItemProvider

      Deprecated.
      This keeps track of the one adapter used for all `ResourcePermission` instances.
      Generated

    - #### filterPermissionItemProvider

          protected FilterPermissionItemProvider filterPermissionItemProvider

      This keeps track of the one adapter used for all `FilterPermission` instances.
      Since:
        4.3
      Generated

    - #### linkedFilterItemProvider

          protected LinkedFilterItemProvider linkedFilterItemProvider

      This keeps track of the one adapter used for all `LinkedFilter` instances.
      Since:
        4.3
      Generated

    - #### packageFilterItemProvider

          protected PackageFilterItemProvider packageFilterItemProvider

      This keeps track of the one adapter used for all `PackageFilter` instances.
      Since:
        4.3
      Generated

    - #### classFilterItemProvider

          protected ClassFilterItemProvider classFilterItemProvider

      This keeps track of the one adapter used for all `ClassFilter` instances.
      Since:
        4.3
      Generated

    - #### resourceFilterItemProvider

          protected ResourceFilterItemProvider resourceFilterItemProvider

      This keeps track of the one adapter used for all `ResourceFilter` instances.
      Since:
        4.3
      Generated

    - #### expressionFilterItemProvider

          protected ExpressionFilterItemProvider expressionFilterItemProvider

      This keeps track of the one adapter used for all `ExpressionFilter` instances.
      Since:
        4.3
      Generated

    - #### notFilterItemProvider

          protected NotFilterItemProvider notFilterItemProvider

      This keeps track of the one adapter used for all `NotFilter` instances.
      Since:
        4.3
      Generated

    - #### andFilterItemProvider

          protected AndFilterItemProvider andFilterItemProvider

      This keeps track of the one adapter used for all `AndFilter` instances.
      Since:
        4.3
      Generated

    - #### orFilterItemProvider

          protected OrFilterItemProvider orFilterItemProvider

      This keeps track of the one adapter used for all `OrFilter` instances.
      Since:
        4.3
      Generated

  - ### Constructor Detail

    - #### SecurityItemProviderAdapterFactory

          public SecurityItemProviderAdapterFactory()

      This constructs an instance.
      Generated

  - ### Method Detail

    - #### createRealmAdapter

          public Adapter createRealmAdapter()

      This creates an adapter for a `Realm`.
      Overrides:
        `createRealmAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Realm`
      Generated

    - #### createDirectoryAdapter

          public Adapter createDirectoryAdapter()

      This creates an adapter for a `Directory`.
      Overrides:
        `createDirectoryAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Directory`
      Generated

    - #### createRoleAdapter

          public Adapter createRoleAdapter()

      This creates an adapter for a `Role`.
      Overrides:
        `createRoleAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Role`
      Generated

    - #### createGroupAdapter

          public Adapter createGroupAdapter()

      This creates an adapter for a `Group`.
      Overrides:
        `createGroupAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `Group`
      Generated

    - #### createUserAdapter

          public Adapter createUserAdapter()

      This creates an adapter for a `User`.
      Overrides:
        `createUserAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `User`
      Generated

    - #### createUserPasswordAdapter

          public Adapter createUserPasswordAdapter()

      This creates an adapter for a `UserPassword`.
      Overrides:
        `createUserPasswordAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `UserPassword`
      Generated

    - #### createClassPermissionAdapter

          @Deprecated
          public Adapter createClassPermissionAdapter()

      Deprecated.
      This creates an adapter for a `ClassPermission`.
      Overrides:
        `createClassPermissionAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ClassPermission`
      Generated

    - #### createPackagePermissionAdapter

          @Deprecated
          public Adapter createPackagePermissionAdapter()

      Deprecated.
      This creates an adapter for a `PackagePermission`.
      Overrides:
        `createPackagePermissionAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `PackagePermission`
      Generated

    - #### createResourcePermissionAdapter

          @Deprecated
          public Adapter createResourcePermissionAdapter()

      Deprecated.
      This creates an adapter for a `ResourcePermission`.
      Overrides:
        `createResourcePermissionAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ResourcePermission`
      Generated

    - #### createFilterPermissionAdapter

          public Adapter createFilterPermissionAdapter()

      This creates an adapter for a `FilterPermission`.
      Overrides:
        `createFilterPermissionAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `FilterPermission`
      Generated

    - #### createLinkedFilterAdapter

          public Adapter createLinkedFilterAdapter()

      This creates an adapter for a `LinkedFilter`.
      Overrides:
        `createLinkedFilterAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `LinkedFilter`
      Generated

    - #### createPackageFilterAdapter

          public Adapter createPackageFilterAdapter()

      This creates an adapter for a `PackageFilter`.
      Overrides:
        `createPackageFilterAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `PackageFilter`
      Generated

    - #### createClassFilterAdapter

          public Adapter createClassFilterAdapter()

      This creates an adapter for a `ClassFilter`.
      Overrides:
        `createClassFilterAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `ClassFilter`
      Generated

    - #### createResourceFilterAdapter

          public Adapter createResourceFilterAdapter()

      This creates an adapter for a `ResourceFilter`.
      Overrides:
        `createResourceFilterAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `ResourceFilter`
      Generated

    - #### createExpressionFilterAdapter

          public Adapter createExpressionFilterAdapter()

      This creates an adapter for a `ExpressionFilter`.
      Overrides:
        `createExpressionFilterAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `ExpressionFilter`
      Generated

    - #### createNotFilterAdapter

          public Adapter createNotFilterAdapter()

      This creates an adapter for a `NotFilter`.
      Overrides:
        `createNotFilterAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `NotFilter`
      Generated

    - #### createAndFilterAdapter

          public Adapter createAndFilterAdapter()

      This creates an adapter for a `AndFilter`.
      Overrides:
        `createAndFilterAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `AndFilter`
      Generated

    - #### createOrFilterAdapter

          public Adapter createOrFilterAdapter()

      This creates an adapter for a `OrFilter`.
      Overrides:
        `createOrFilterAdapter` in class `SecurityAdapterFactory`
      Returns:
        the new adapter.
      Since:
        4.3
      See Also:
        `OrFilter`
      Generated

    - #### getRootAdapterFactory

          public ComposeableAdapterFactory getRootAdapterFactory()

      This returns the root adapter factory that contains this factory.
      Specified by:
        `getRootAdapterFactory` in interface `ComposeableAdapterFactory`
      Generated

    - #### setParentAdapterFactory

          public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

      This sets the composed adapter factory that contains this factory.
      Specified by:
        `setParentAdapterFactory` in interface `ComposeableAdapterFactory`
      Generated

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object type)

      Specified by:
        `isFactoryForType` in interface `AdapterFactory`
      Overrides:
        `isFactoryForType` in class `SecurityAdapterFactory`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated

    - #### adapt

          public Adapter adapt(Notifier notifier,
                               java.lang.Object type)

      This implementation substitutes the factory itself as the key for the adapter.
      Specified by:
        `adapt` in interface `AdapterFactory`
      Overrides:
        `adapt` in class `AdapterFactoryImpl`
      Generated

    - #### adapt

          public java.lang.Object adapt(java.lang.Object object,
                                        java.lang.Object type)

      Specified by:
        `adapt` in interface `AdapterFactory`
      Overrides:
        `adapt` in class `AdapterFactoryImpl`
      Generated

    - #### getChildCreationExtenders

          public java.util.List<IChildCreationExtender> getChildCreationExtenders()

      Generated

    - #### getNewChildDescriptors

          public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                                EditingDomain editingDomain)

      Specified by:
        `getNewChildDescriptors` in interface `IChildCreationExtender`
      Generated

    - #### getResourceLocator

          public ResourceLocator getResourceLocator()

      Specified by:
        `getResourceLocator` in interface `IChildCreationExtender`
      Generated

    - #### addListener

          public void addListener(INotifyChangedListener notifyChangedListener)

      This adds a listener.
      Specified by:
        `addListener` in interface `IChangeNotifier`
      Generated

    - #### removeListener

          public void removeListener(INotifyChangedListener notifyChangedListener)

      This removes a listener.
      Specified by:
        `removeListener` in interface `IChangeNotifier`
      Generated

    - #### fireNotifyChanged

          public void fireNotifyChanged(Notification notification)

      This delegates to `changeNotifier` and to `parentAdapterFactory`.
      Specified by:
        `fireNotifyChanged` in interface `IChangeNotifier`
      Generated

    - #### dispose

          public void dispose()

      This disposes all of the item providers created by this factory.
      Specified by:
        `dispose` in interface `IDisposable`
      Generated

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html